Subject: Re: bug#59937: 28.2; Bad defcustom behavior

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jul 2023 15:56:37 +0300

> Cc: Drew Adams <[email-masked]>
> Date: Sun, 16 Jul 2023 20:00:40 -0300
> From: Mauro Aranda <[email-masked]>
> 
> I'm sorry it took me so long to actually take a look at this.  I had to
> reread the conversation to put myself back into topic.
> 
> As I said in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59937#26
> I was looking for a way to:
> 1. Being able to create the restricted-sexp widget, even if the default
> value for it isn't valid.
> 2. Being able to do it without prompting the user.
> 
> That's what the attached patch does.  AFAIU, we both agreed that that
> approach was a good enough fix for this bug, so that the behavior of
> certain defcustoms is less confusing.  We didn't really agree back then
> about the warning, and I'm guessing that we still disagree on that, so I
> didn't change anything about the warning.

Thanks, installed on the master branch, and closing the bug.